"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = deferUntil;

var _operators = require("rxjs/operators");

function deferUntil(fx) {
    return function (source$) {

        var continue$ = fx(source$);

        return continue$.pipe((0, _operators.ignoreElements)(), (0, _operators.concat)(source$));
    };
}
module.exports = exports["default"];