"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = connectUntil;

var _operators = require("rxjs/operators");

function connectUntil(disconnect$) {
    return function (source$) {

        // Connect source$;
        var pubSource$ = source$.pipe((0, _operators.publish)());

        var sub = pubSource$.connect();

        disconnect$.pipe((0, _operators.take)(1)).subscribe(function () {
            sub.unsubscribe();
        });

        return pubSource$;
    };
}
module.exports = exports["default"];