import { publish, take } from "rxjs/operators";

export default function connectUntil(disconnect$) {
    return function (source$) {

        // Connect source$;
        var pubSource$ = source$.pipe(publish());

        var sub = pubSource$.connect();

        disconnect$.pipe(take(1)).subscribe(function () {
            sub.unsubscribe();
        });

        return pubSource$;
    };
}